<!--==========================================================================
 Company:     Geon Technologies, LLC
 Author:      Joel Palmer
 Copyright:   (c) 2018 Geon Technologies, LLC. All rights reserved.
              Dissemination of this information or reproduction of this
              material is strictly prohibited unless prior written
              permission is obtained from Geon Technologies, LLC
===========================================================================-->

<HdlContainer config='base'
              only='zcu111'
              constraints='cnt_zcu111_fmcomms_2_3_plus_scdcd.xdc'>
  <Device name='platform_ad9361_spi' card='fmcomms_2_3_plus_scdcd'>
    <!-- MUST provide to this worker the zcu111's control plane clock freq value -->
    <Property name='CP_CLK_FREQ_HZ_p' value='100e6'/>
  </Device>
  <Device name='platform_ad9361_data_sub' card='fmcomms_2_3_plus_scdcd'>
    <Property name='lvds_p' value='true'/>
    <Property name='DATA_CLK_Delay' value='3'/>
    <Property name='RX_Data_Delay'  value='0'/>
    <Property name='FB_CLK_Delay'   value='7'/>
    <Property name='TX_Data_Delay'  value='0'/>
  </Device>
  <Device name='platform_ad9361_config' card='fmcomms_2_3_plus_scdcd'>
    <Property name='pin_control_p' value='true'/>
  </Device>
  <Device name='data_src_qadc_ad9361_sub' card='fmcomms_2_3_plus_scdcd'/>
  <Device name='data_sink_qdac_ad9361_sub' card='fmcomms_2_3_plus_scdcd'/>
  <Device name='data_src_qadc0' card='fmcomms_2_3_plus_scdcd'>
    <Property name='ADC_INPUT_IS_LSB_OF_OUT_PORT' value='true'/>
  </Device>
  <Device name='data_sink_qdac0' card='fmcomms_2_3_plus_scdcd'>
    <Property name='DAC_OUTPUT_IS_LSB_OF_IN_PORT' value='false'/>
  </Device>
  <Connection external='in_to_asm_rx_path_from_adc'
              port='out'
              device='data_src_qadc0'
	      card='fmcomms_2_3_plus_scdcd'/>
  <Connection external='out_from_asm_tx_path_to_dac'
              port='in'
              device='data_sink_qdac0'
	      card='fmcomms_2_3_plus_scdcd'/>
  <Connection external='out_from_asm_rx_path0' interconnect='zynq_ultra'/>
  <Connection external='in_to_asm_tx_path0' interconnect='zynq_ultra'/>
</HdlContainer>
